%global commit      ec050e79ad8489a6f8deb37d4c20ab10729c25c3
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date        20180207

Name:           i3blocks
Version:        1.4
Release:        3.%{date}git%{shortcommit}%{?dist}
Summary:        A feed generator for text based status bars

License:        GPLv3+
URL:            https://github.com/vivien/i3blocks
Source0:        %{url}/tarball/%{commit}#/%{name}-%{version}%{date}git%{shortcommit}.tar.gz

BuildRequires:  dh-autoreconf
BuildRequires:  gcc
BuildRequires:  pandoc

Requires:       i3

%if 0%{?fedora}
# For example battery script
Recommends:     acpi
# For default volume script
Recommends:     alsa-utils
# For community contributed blocklets
Recommends:     i3blocks-contrib
# For temperature script
Recommends:     lm_sensors
# For openvpn contrib script
Recommends:     openvpn
# For mediaplayer contrib script
Recommends:     playerctl
# For example cpu_usage script
Recommends:     sysstat
%endif

%description
A minimalist scheduler for your status line scripts.

i3blocks executes your command lines and generates a status line from their
output. Commands are scheduled at configured time intervals, upon signal
reception or on clicks.

The generated line is meant to be displayed by the i3 window manager through
its i3bar component, as an alternative to i3status.

i3blocks is meant to be highly flexible but intuitive. No library package is
required, just output what your status bar expects, from your favorite
programming language and your preferred format.

%prep
%autosetup -n vivien-%{name}-%{shortcommit}

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install PREFIX=%{_prefix}

%files
%license COPYING
%{_bindir}/%{name}

%changelog
* Wed May 01 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4-3.20180207gitec050e7
- Initial package
